Package com.independentsoft.office.spreadsheet

# Class HeaderFooterSettings

java.lang.Object
com.independentsoft.office.spreadsheet.HeaderFooterSettings

public class HeaderFooterSettings extends Object
The Class HeaderFooterSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderFooterSettings()`
  Instantiates a new header footer settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HeaderFooterSettings`
  `clone()`
  `String`
  `getEvenFooter()`
  Gets the even footer.
  `String`
  `getEvenHeader()`
  Gets the even header.
  `String`
  `getFirstFooter()`
  Gets the first footer.
  `String`
  `getFirstHeader()`
  Gets the first header.
  `String`
  `getOddFooter()`
  Gets the odd footer.
  `String`
  `getOddHeader()`
  Gets the odd header.
  `boolean`
  `isAlignMargins()`
  Checks if is align margins.
  `boolean`
  `isDifferentFirstPage()`
  Checks if is different first page.
  `boolean`
  `isDifferentOddEven()`
  Checks if is different odd even.
  `boolean`
  `isScaleWithDocument()`
  Checks if is scale with document.
  `void`
  `setAlignMargins​(boolean alignMargins)`
  Sets the align margins.
  `void`
  `setDifferentFirstPage​(boolean differentFirstPage)`
  Sets the different first page.
  `void`
  `setDifferentOddEven​(boolean differentOddEven)`
  Sets the different odd even.
  `void`
  `setEvenFooter​(String evenFooter)`
  Sets the even footer.
  `void`
  `setEvenHeader​(String evenHeader)`
  Sets the even header.
  `void`
  `setFirstFooter​(String firstFooter)`
  Sets the first footer.
  `void`
  `setFirstHeader​(String firstHeader)`
  Sets the first header.
  `void`
  `setOddFooter​(String oddFooter)`
  Sets the odd footer.
  `void`
  `setOddHeader​(String oddHeader)`
  Sets the odd header.
  `void`
  `setScaleWithDocument​(boolean scaleWithDocument)`
  Sets the scale with document.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HeaderFooterSettings

    public HeaderFooterSettings()
    Instantiates a new header footer settings.

- ## Method Details

  - ### clone

    public HeaderFooterSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEvenFooter

    public String getEvenFooter()
    Gets the even footer.
    Returns:
      the even footer

  - ### setEvenFooter

    public void setEvenFooter​(String evenFooter)
    Sets the even footer.
    Parameters:
      `evenFooter` - the new even footer

  - ### getEvenHeader

    public String getEvenHeader()
    Gets the even header.
    Returns:
      the even header

  - ### setEvenHeader

    public void setEvenHeader​(String evenHeader)
    Sets the even header.
    Parameters:
      `evenHeader` - the new even header

  - ### getFirstFooter

    public String getFirstFooter()
    Gets the first footer.
    Returns:
      the first footer

  - ### setFirstFooter

    public void setFirstFooter​(String firstFooter)
    Sets the first footer.
    Parameters:
      `firstFooter` - the new first footer

  - ### getFirstHeader

    public String getFirstHeader()
    Gets the first header.
    Returns:
      the first header

  - ### setFirstHeader

    public void setFirstHeader​(String firstHeader)
    Sets the first header.
    Parameters:
      `firstHeader` - the new first header

  - ### getOddFooter

    public String getOddFooter()
    Gets the odd footer.
    Returns:
      the odd footer

  - ### setOddFooter

    public void setOddFooter​(String oddFooter)
    Sets the odd footer.
    Parameters:
      `oddFooter` - the new odd footer

  - ### getOddHeader

    public String getOddHeader()
    Gets the odd header.
    Returns:
      the odd header

  - ### setOddHeader

    public void setOddHeader​(String oddHeader)
    Sets the odd header.
    Parameters:
      `oddHeader` - the new odd header

  - ### isAlignMargins

    public boolean isAlignMargins()
    Checks if is align margins.
    Returns:
      true, if is align margins

  - ### setAlignMargins

    public void setAlignMargins​(boolean alignMargins)
    Sets the align margins.
    Parameters:
      `alignMargins` - the new align margins

  - ### isDifferentFirstPage

    public boolean isDifferentFirstPage()
    Checks if is different first page.
    Returns:
      true, if is different first page

  - ### setDifferentFirstPage

    public void setDifferentFirstPage​(boolean differentFirstPage)
    Sets the different first page.
    Parameters:
      `differentFirstPage` - the new different first page

  - ### isDifferentOddEven

    public boolean isDifferentOddEven()
    Checks if is different odd even.
    Returns:
      true, if is different odd even

  - ### setDifferentOddEven

    public void setDifferentOddEven​(boolean differentOddEven)
    Sets the different odd even.
    Parameters:
      `differentOddEven` - the new different odd even

  - ### isScaleWithDocument

    public boolean isScaleWithDocument()
    Checks if is scale with document.
    Returns:
      true, if is scale with document

  - ### setScaleWithDocument

    public void setScaleWithDocument​(boolean scaleWithDocument)
    Sets the scale with document.
    Parameters:
      `scaleWithDocument` - the new scale with document